Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-2489

Test failures related to Unified tests and Versioned API

    • Type: Icon: Task Task
    • Resolution: Fixed
    • Priority: Icon: Major - P3 Major - P3
    • 3.12, 4.0
    • Affects Version/s: None
    • Component/s: Tests
    • Labels:
      None

      Some issues related to the unified test runner and versioned api tests:
      1) The "no server" tests are failing:

       [2021/01/12 02:39:27.867] Traceback (most recent call last):
       [2021/01/12 02:39:27.867]   File "setup.py", line 431, in <module>
       [2021/01/12 02:39:27.867]     **extra_opts
       [2021/01/12 02:39:27.867]   File "/opt/python/2.7/lib/python2.7/site-packages/setuptools/__init__.py", line 162, in setup
       [2021/01/12 02:39:27.867]     return distutils.core.setup(**attrs)
       [2021/01/12 02:39:27.867]   File "/opt/python/2.7/lib/python2.7/distutils/core.py", line 151, in setup
       [2021/01/12 02:39:27.867]     dist.run_commands()
       [2021/01/12 02:39:27.867]   File "/opt/python/2.7/lib/python2.7/distutils/dist.py", line 953, in run_commands
       [2021/01/12 02:39:27.867]     self.run_command(cmd)
       [2021/01/12 02:39:27.867]   File "/opt/python/2.7/lib/python2.7/distutils/dist.py", line 972, in run_command
       [2021/01/12 02:39:27.868]     cmd_obj.run()
       [2021/01/12 02:39:27.868]   File "setup.py", line 130, in run
       [2021/01/12 02:39:27.868]     result = runner.run(suite)
       [2021/01/12 02:39:27.868]   File "/data/mci/cdfdc70ace95e1a87ab76300ca0f45c4/src/test/__init__.py", line 935, in run
       [2021/01/12 02:39:27.868]     teardown()
       [2021/01/12 02:39:27.868]   File "/data/mci/cdfdc70ace95e1a87ab76300ca0f45c4/src/test/__init__.py", line 915, in teardown
       [2021/01/12 02:39:27.973]     c.close()
       [2021/01/12 02:39:27.973] AttributeError: 'NoneType' object has no attribute 'close'
      

      https://evergreen.mongodb.com/task/mongo_python_driver_3.12_no_server_no_server_43d246f234d2ce8d728e5b114fa403d05cec75c8_21_01_12_02_23_01

      2) Some versioned api tests fail, seemingly because the field order of the command is not consistent:

       [2021/01/12 02:39:01.391] FAIL [0.028s]: test_Running_a_command_that_is_not_part_of_the_versioned_API_results_in_an_error (test_versioned_api.TestVersionedApiTestCommandsStrictMode)
       [2021/01/12 02:39:01.391] ----------------------------------------------------------------------
       [2021/01/12 02:39:01.391] Traceback (most recent call last):
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 776, in run_entity_operation
       [2021/01/12 02:39:01.391]     result = cmd(**dict(arguments))
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 679, in _databaseOperation_runCommand
       [2021/01/12 02:39:01.391]     return target.command(*args, **kwargs)
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/pymongo/database.py", line 749, in command
       [2021/01/12 02:39:01.391]     codec_options, session=session, **kwargs)
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/pymongo/database.py", line 640, in _command
       [2021/01/12 02:39:01.391]     client=self.__client)
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/pymongo/pool.py", line 702, in command
       [2021/01/12 02:39:01.391]     exhaust_allowed=exhaust_allowed)
       [2021/01/12 02:39:01.391] pymongo.errors.OperationFailure: no such command: 'command_name', full error: {'operationTime': Timestamp(1610419141, 20), '$clusterTime': {'signature': {'hash': b'\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00', 'keyId': 0}, 'clusterTime': Timestamp(1610419141, 20)}, 'errmsg': "no such command: 'command_name'", 'code': 59, 'ok': 0.0, 'codeName': 'CommandNotFound'}
       [2021/01/12 02:39:01.391] During handling of the above exception, another exception occurred:
       [2021/01/12 02:39:01.391] Traceback (most recent call last):
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 973, in test_case
       [2021/01/12 02:39:01.391]     self.run_scenario(spec)
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 957, in run_scenario
       [2021/01/12 02:39:01.391]     self.run_operations(spec['operations'])
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 893, in run_operations
       [2021/01/12 02:39:01.391]     self.run_entity_operation(op)
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 779, in run_entity_operation
       [2021/01/12 02:39:01.391]     return self.process_error(exc, expect_error)
       [2021/01/12 02:39:01.391]   File "/data/mci/9e12e9d31d523ee80bc6171837ce438f/src/test/unified_format.py", line 623, in process_error
       [2021/01/12 02:39:01.391]     self.assertIn(error_contains.lower(), errmsg)
       [2021/01/12 02:39:01.391] AssertionError: 'command testversion2 is not in api version 1' not found in 'no such command: \'command_name\', full error: {\'operationtime\': timestamp(1610419141, 20), \'$clustertime\': {\'signature\': {\'hash\': b\'\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\\x00\', \'keyid\': 0}, \'clustertime\': timestamp(1610419141, 20)}, \'errmsg\': "no such command: \'command_name\'", \'code\': 59, \'ok\': 0.0, \'codename\': \'commandnotfound\'}'
      

      https://evergreen.mongodb.com/task/mongo_python_driver_3.12_tests_python_version_rhel62_without_c_extensions__platform~rhel62_auth_ssl~noauth_nossl_python_version~3.5_c_extensions~without_c_extensions_coverage~coverage_test_latest_replica_set_43d246f234d2ce8d728e5b114fa403d05cec75c8_21_01_12_02_23_01

            Assignee:
            shane.harvey@mongodb.com Shane Harvey
            Reporter:
            shane.harvey@mongodb.com Shane Harvey
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Created:
              Updated:
              Resolved: